
package de.ivu.elect.presentation.geodata.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.geodata.entity.GeodataOrt;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(GeodataOrtActionMenu.COMPONENT_NAME)
public class GeodataOrtActionMenu extends AbstractActionMenuModelBuilder<GeodataOrt> {

  public static final String COMPONENT_NAME = "geodataOrtActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  private GeodataOrtEditAction geodataOrtEditAction;

  @Inject
  private GeodataOrtDeleteAction geodataOrtDeleteAction;

  public GeodataOrtActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<GeodataOrt>> getActionEntriesSorted() {
    List<ActionEntry<GeodataOrt>> result = new ArrayList<>();

    result.add(geodataOrtEditAction);
    result.add(geodataOrtDeleteAction);

    return result;
  }
}
